Bug 963339 - Review Request: libyui-bindings - Language bindings for libyui
Review Request: libyui-bindings - Language bindings for libyui
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
https://github.com/libyui/libyui-bind...
:
Depends On: 959926
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 13:14 EDT by Björn "besser82" Esser
Modified: 2014-03-18 08:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: libyui-bindings-1.0.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 16:29:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Björn "besser82" Esser 2013-05-15 13:14:26 EDT
Spec URL: http://besser82.fedorapeople.org/pkg/libyui-bindings/libyui-bindings.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/libyui-bindings/libyui-bindings-1.0.1-1.fc18.src.rpm

Description: This package provides Perl, Python and Ruby language bindings to access functions of libyui. An User Interface engine that provides abstraction from graphical user interfaces (Qt, Gtk) and text based user interfaces (ncurses).

Fedora Account System Username: besser82

rpmlint output:
perl-yui.x86_64: W: spelling-error Summary(en_US) libyui -> Libby
perl-yui.x86_64: W: spelling-error %description -l en_US libyui -> Libby
perl-yui.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
perl-yui.x86_64: W: private-shared-object-provides /usr/lib64/perl5/vendor_perl/yui.so yui.so()(64bit)
perl-yui.x86_64: W: private-shared-object-provides /usr/lib64/perl5/vendor_perl/yui.so yui.so()(64bit)
perl-yui.x86_64: E: incorrect-fsf-address /usr/share/doc/perl-yui-1.0.1/COPYING
ruby-yui.x86_64: W: spelling-error Summary(en_US) libyui -> Libby
ruby-yui.x86_64: W: spelling-error %description -l en_US libyui -> Libby
ruby-yui.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
ruby-yui.x86_64: E: incorrect-fsf-address /usr/share/doc/ruby-yui-1.0.1/COPYING
ruby-yui.x86_64: W: doc-file-dependency /usr/share/doc/ruby-yui-1.0.1/selection_box3.rb /usr/bin/env
python-yui.x86_64: W: spelling-error Summary(en_US) libyui -> Libby
python-yui.x86_64: W: spelling-error %description -l en_US libyui -> Libby
python-yui.x86_64: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
python-yui.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/_yui.so _yui.so()(64bit)
python-yui.x86_64: E: incorrect-fsf-address /usr/share/doc/python-yui-1.0.1/COPYING
libyui-bindings.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
4 packages and 1 specfiles checked; 3 errors, 14 warnings.

Hello!

This is one my first packages I want to contribute to Fedora, so I need a sponsor. I am in good contact to upstream, esp. to the lead-maintainer and have direct-push access to the libyui github-repos, too.

BR,
  Björn Esser
Comment 2 Christopher Meng 2013-05-18 05:04:51 EDT
Quick look into spec:

1) As I've said before, keep it readable...Orders;No empty line between group tag and summary tag in subpackages

2)Too many %global, just use %{name} with libyui-bindings, why not?

Fix the BR by remove %global libyui_devel_version %{libname}-devel >= 3.0.3 with BuildRequires:  libyui-devel >= 3.0.3.

BTW is ">= 3.0.3" really required?
Comment 3 Björn "besser82" Esser 2013-05-18 05:33:40 EDT
Spec URL: http://besser82.fedorapeople.org/pkg/libyui-bindings/libyui-bindings.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/libyui-bindings/libyui-bindings-1.0.1-2.fc18.src.rpm

> 1) As I've said before, keep it readable...Orders;No empty line between group tag and summary tag in subpackages
> Fix the BR by remove %global libyui_devel_version %{libname}-devel >= 3.0.3 with BuildRequires:  libyui-devel >= 3.0.3.

fixed

> BTW is ">= 3.0.3" really required?

Nope. Just took that in during c&p from other libyui*.spec

2)Too many %global, just use %{name} with libyui-bindings, why not?

It's just two %global (libsuffix = yui and libname = lib%{libsuffix}) besides the obligatory %commit and %shortcommit

(lib)yui is used rather often inside the spec. I think spec-file should be easy adoptable for other similar purpose, without doing lots of search-replace, just changing libsuffix to what's needed, then.

BTW: In the other libyui*-spec I have similar %global..., so I want keep this consistent.
Comment 4 Christopher Meng 2013-05-18 05:43:39 EDT
SPEC seems not changed?
Comment 5 Björn "besser82" Esser 2013-05-18 05:55:10 EDT
Ups! synced before saving the modded spec... Try again, now.
Comment 6 Christopher Meng 2013-05-18 06:10:10 EDT
(In reply to comment #5)
> Ups! synced before saving the modded spec... Try again, now.

What did you change?
Comment 7 Björn "besser82" Esser 2013-05-18 06:15:38 EDT
changes in spec:
 * order of spec-tags (URL,Source,Group,etc)
 * no empty line between group tag and summary tag in subpackages
 * remove %global libyui_devel_version %{libname}-devel >= 3.0.3
 * changed BuildRequires:  %{libyui_devel_version} --> BuildRequires: %{libname}-devel >= 3.0.3
 * remove ">= 3.0.3" on BuildRequires
 * now it reads: BuildRequires: %{libname}-devel
Comment 8 Christopher Meng 2013-05-18 06:34:56 EDT
(In reply to comment #7)

But http://besser82.fedorapeople.org/pkg/libyui-bindings/libyui-bindings.spec doesn't change anything.
Comment 9 Björn "besser82" Esser 2013-05-18 06:40:52 EDT
The problem was that needed to re-gen srpm from changed spec... Synced.
Comment 10 Christopher Meng 2013-05-18 07:56:20 EDT
Alright.

APPROVED.
Comment 11 Björn "besser82" Esser 2013-05-18 08:34:55 EDT
New Package SCM Request
=======================
Package Name: libyui-bindings
Short Description: Language bindings for libyui
Owners: besser82
Branches: f18 f19
Comment 12 Gwyn Ciesla 2013-05-20 09:46:34 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-05-20 10:23:55 EDT
libyui-bindings-1.0.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libyui-bindings-1.0.1-2.fc19
Comment 14 Fedora Update System 2013-05-20 10:24:57 EDT
libyui-bindings-1.0.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libyui-bindings-1.0.1-2.fc18
Comment 15 Fedora Update System 2013-05-20 16:07:14 EDT
libyui-bindings-1.0.1-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 16 Fedora Update System 2013-05-28 20:53:54 EDT
libyui-bindings-1.0.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-05-28 22:57:18 EDT
libyui-bindings-1.0.1-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Björn "besser82" Esser 2014-03-18 07:45:32 EDT
Package Change Request
======================
Package Name: libyui
New Branches: el6
Owners: besser82

Want to build on el6, too.
Comment 19 Björn "besser82" Esser 2014-03-18 07:46:15 EDT
Package Change Request
======================
Package Name: libyui-bindings
New Branches: el6
Owners: besser82

Want to build on el6, too.
Comment 20 Gwyn Ciesla 2014-03-18 08:00:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.